#include <stdio.h>
#include <string.h>
#include <perl.h>

/**
 * not quite perl chomp, this function
 * hacks the white space off the end of
 * string str.
 */
char *
chomp( char *str )
{
  char *ch, *p;

  ch = p = str;
  while( *ch && *ch <= ' ' ) ch++;

  /* assign it */
  while( *p++ = *ch++ );
  *p++=0;

  /* our work is done. */
  return str;
}


/** 
 * left chomp, removes the leading 
 * whitespace from string str. 
 */
char * 
lchomp( char *str ){
   char *s, *p;
   for (s = p = str; *s && *s <= ' '; s++) ;
   while ((*p++ = *s++)) ;
   *p++=0;

   return str;
}

/**
 * total chomp, removes the white
 * space from the beginning and the
 * end of string str.
 */
char * 
tchomp( char *str )
{
  return chomp(lchomp( str ));
}


